Draft Polyligne

From FreeCAD Documentation
Revision as of 10:02, 19 June 2014 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft Wire

Menu location
Draft → Wire
Workbenches
Draft, Arch
Default shortcut
W I
Introduced in version
-
See also
Draft Line, Draft BSpline

Description

The Wire tool creates a polyline (sequence of lines made of several segments) in the current work plane. It takes the linewidth and color previously set on the Tasks tab. The Wire tool behaves like the Draft Line tool, except that it doesn't stop after two points.

Utilisation

  1. Pressez sur le bouton Draft Wire, ou pressez la touche W puis sur I.
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées.
  3. Cliquez un point additionnel dans la vue 3D, ou, tapez les coordonnées.
  4. Pressez la touche F ou C, ou, double-cliquez le point suivant, ou cliquez sur le premier point pour finir ou fermez le fil. Si le fil est fermé, il sera aussi une face même s'il apparaît comme un filaire.

Options

  • Press F or the Finish button to finish the wire, leaving it open
  • Press C or the Close button or click on the first point to finish the wire, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Wire tool will restart after you finish or close it, allowing you to draw another one without pressing the Wire button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Wipe button to remove the existing segments and start the wire from the last point.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press I or the Filled button to have the wire to appear as a face after it has been closed. This simply sets the View->Property of the Wire to "Flat lines" or "Wireframe", so it can easily be changed later.
  • Press ESC or the Cancel button to abort the current Line command.
  • Closed wires, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property below.

Properties

  • DonnéesClosed: Specifies if the wire is closed or not
  • DonnéesChamfer Size: Specifies the size of chamfered corners
  • DonnéesFillet Radius: Specifies a curvature radius to give to the nodes of the wire
  • VueEnd Arrow: Shows an arrow symbol at the last point of the wire, so it can be used as an annotation leader line
  • VuePattern: Specifies a hatch pattern to fill the wire with
  • VuePattern Size: Specifies the size of the hatch pattern

Script

L'outil fil peut être utilisé dans des macros, et, dans la console Python en utilisant le code suivant :

 makeWire (list or Part.Wire, [closed], [placement], [facemode])

Crée un objet fil (Wire) avec les données de vecteurs ou du fil donné.
Si le fil est fermé ou si le premier et le dernier point est identique, le fil est fermé.
Si facemode est activé (TRUE) (le fil est fermé), le fil apparait plein.
Les attributs de largeur et couleur définis seront utilisés text-top=Style.
Retourne l'objet nouvellement créé.

Exemple:

 import FreeCAD,Draft
 p1 = FreeCAD.Vector(0,0,0)
 p2 = FreeCAD.Vector(1,1,0)
 p3 = FreeCAD.Vector(2,0,0)
 Draft.makeWire([p1,p2,p3],closed=True)